#ifndef GAMEDIALOG_H 
#define GAMEDIALOG_H 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

#include <qdialog.h>

#include <qwidget.h>
#include <qcombobox.h>
#include <qcheckbox.h>

class CGameDialog : public QDialog
{
 public:
	CGameDialog(QWidget* parent);
	virtual ~CGameDialog();

	// Data
 public:
	char gameType();
	char pieceSize();
	char difficulty();
	bool useMask() { return _useMask->isChecked(); }

 protected:
	QComboBox* _gameType;
	QComboBox* _pieceSize;
	QComboBox* _difficulty;
	QCheckBox* _useMask; 
};

#endif // GAMEDIALOG_H 
